<?php
/**
 * @project Astra.CMS
 * @link http://a-cms.ru/
 * @copyright 2009 Astra WebTechnology
 * @author Vitaly Hohlov <vitaly.hohlov@gmail.com>
 * @package Blocks
 */
/**************************************************************************/

/**
 * Серверная сторона AJAX настройки блока "Форма авторизации".
 *
 * <a href="http://wiki.a-cms.ru/blocks/auth">Руководство</a>.
 */

class auth_BlockRequest extends A_Request
{
/**
 * Маршрутизатор действий.
 */

  function Action($action)
  {
    switch($action)
    { case "add": $this->Add(); break;
	  case "edit": $this->Edit(); break;
	}
  }

/**
 * Обработчик действия: Отдает форму добавления.
 */

  function Add()
  {
	$form = new A_Form("block_auth_add.tpl");
	$form->data['sections']=A::$DB->getAssoc("SELECT id,caption FROM ".DOMAIN."_sections WHERE module='users'");
	$this->RESULT['html']=$form->getContent();
  }

/**
 * Обработчик действия: Отдает форму редактирования.
 */

  function Edit()
  {
	$form = new A_Form("block_auth_edit.tpl");
	$block=A::$DB->getRowById($_POST['id'],DOMAIN."_blocks");
	$form->data=!empty($block['params'])?unserialize($block['params']):array();
	$form->data['sections']=A::$DB->getAssoc("SELECT id,caption FROM ".DOMAIN."_sections WHERE module='users'");
	$this->RESULT['html']=$form->getContent();
  }
}

A::$REQUEST = new auth_BlockRequest;
